packages: openssh/opensshd.init - formatting and cosmetics, unify actions o...

glen glen at pld-linux.org
Sat Feb 5 10:51:16 CET 2011


Author: glen                         Date: Sat Feb  5 09:51:16 2011 GMT
Module: packages                      Tag: HEAD
---- Log message:
- formatting and cosmetics, unify actions order

---- Files affected:
packages/openssh:
   opensshd.init (1.42 -> 1.43) 

---- Diffs:

================================================================
Index: packages/openssh/opensshd.init
diff -u packages/openssh/opensshd.init:1.42 packages/openssh/opensshd.init:1.43
--- packages/openssh/opensshd.init:1.42	Tue Jan 25 19:21:33 2011
+++ packages/openssh/opensshd.init	Sat Feb  5 10:51:11 2011
@@ -8,14 +8,14 @@
 #		Ssh can be used for remote login, remote file copying, TCP port \
 #		forwarding etc. Ssh offers strong encryption and authentication.
 
-SSHD_OOM_ADJUST=-1000
-
 # Source function library
 . /etc/rc.d/init.d/functions
 
 # Get network config
 . /etc/sysconfig/network
 
+SSHD_OOM_ADJUST=-1000
+
 # Get service config
 [ -f /etc/sysconfig/sshd ] && . /etc/sysconfig/sshd
 
@@ -73,7 +73,6 @@
 	fi
 
 	ssh_gen_keys
-
 	checkconfig
 
 	if [ ! -s /etc/ssh/ssh_host_key ]; then
@@ -97,16 +96,30 @@
 }
 
 stop() {
-	if [ -f /var/lock/subsys/sshd ]; then
-		msg_stopping "OpenSSH"
-		# we use start-stop-daemon to stop sshd, as it is unacceptable for such
-		# critical service as sshd to kill it by procname, but unfortunately
-		# rc-scripts does not provide way to kill *only* by pidfile
-		start-stop-daemon --stop --quiet --pidfile /var/run/sshd.pid && ok || fail
-		rm -f /var/lock/subsys/sshd >/dev/null 2>&1
-	else
+	if [ ! -f /var/lock/subsys/sshd ]; then
 		msg_not_running "OpenSSH"
+		return
 	fi
+
+	msg_stopping "OpenSSH"
+	# we use start-stop-daemon to stop sshd, as it is unacceptable for such
+	# critical service as sshd to kill it by procname, but unfortunately
+	# rc-scripts does not provide way to kill *only* by pidfile
+	start-stop-daemon --stop --quiet --pidfile /var/run/sshd.pid && ok || fail
+	rm -f /var/lock/subsys/sshd >/dev/null 2>&1
+}
+
+reload() {
+	if [ ! -f /var/lock/subsys/sshd ]; then
+		msg_not_running "OpenSSH"
+		RETVAL=7
+		return
+	fi
+
+	checkconfig
+	msg_reloading "OpenSSH"
+	killproc sshd -HUP
+	RETVAL=$?
 }
 
 upstart_controlled --except init configtest
@@ -125,9 +138,11 @@
 	stop
 	start
 	;;
-  status)
-	status sshd
-	exit $?
+  reload|force-reload)
+	reload
+	;;
+  configtest)
+	checkconfig
 	;;
   init)
 	nls "Now the SSH host key will be generated. Please note, that if you"
@@ -135,22 +150,12 @@
 	nls "reboot."
 	ssh_gen_keys
 	;;
-  configtest)
-	checkconfig
-	;;
-  reload|force-reload)
-	if [ -f /var/lock/subsys/sshd ]; then
-		checkconfig
-		msg_reloading "OpenSSH"
-		killproc sshd -HUP
-		RETVAL=$?
-	else
-		msg_not_running "OpenSSH"
-		exit 7
-	fi
+  status)
+	status sshd
+	exit $?
 	;;
   *)
-	msg_usage "$0 {start|stop|init|restart|reload|force-reload|status}"
+	msg_usage "$0 {start|stop|restart|reload|force-reload|configtest|init|status}"
 	exit 3
 esac
 
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/packages/openssh/opensshd.init?r1=1.42&r2=1.43&f=u



More information about the pld-cvs-commit mailing list